/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2023 . All rights reserved.
*
*/
package net.northking.cctp.dataPool.dto.dataSets;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
* 查询接口--数据传输对象：数据集环境关联表
*
* createdate:  2023-08-23 17:55:51  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@JsonSerialize
@ApiModel(description = "数据集环境关联表")
public class DataSetEnvRelQueryDto implements Serializable
{
    @ApiModelProperty("数据集id")
    private String dataSetId;
    @ApiModelProperty("系统id")
    private String proId;
    @ApiModelProperty("环境id")
    private String envId;

    @ApiModelProperty("表头集合")
    private List<String> tableHeaders;

    @ApiModelProperty("数据信息 按行存储")
    private List<Map<String,Object>> tableContent;

    public List<String> getTableHeaders() {
        return tableHeaders;
    }

    public void setTableHeaders(List<String> tableHeaders) {
        this.tableHeaders = tableHeaders;
    }

    public List<Map<String, Object>> getTableContent() {
        return tableContent;
    }

    public void setTableContent(List<Map<String, Object>> tableContent) {
        this.tableContent = tableContent;
    }

    public String getEnvId() {
        return envId;
    }

    public void setEnvId(String envId) {
        this.envId = envId;
    }

    public String getDataSetId() {
        return dataSetId;
    }

    public void setDataSetId(String dataSetId) {
        this.dataSetId = dataSetId;
    }

    public String getProId() {
        return proId;
    }

    public void setProId(String proId) {
        this.proId = proId;
    }
}